//mod by mcpemodmaker
Block.defineBlock(180, "Ruby Ore", [["redstone_block",0]]); 
Block.setLightLevel(180,3);
Block.setDestroyTime(180,3);

function destroyBlock(x,y,z){

var blockId = Level.getTile(x,y,z);
if(blockId == 180){
preventDefault();
Level.destroyBlock (x,y,z, true);
}
}

var loaded=false;
var ores=[
	{id:180,minY:15,maxY:20,rarity:30}
	];
function leaveGame(){
	loaded=false;
	}
function modTick(){
	var cx=Math.round(Player.getX()/16);
	var cz=Math.round(Player.getZ()/16);
	if(!loaded && Level.getTile(parseInt(Player.getX()),parseInt(Player.getY())-2,parseInt(Player.getZ()))!=0)
		loaded=true;
	if(loaded){
		for(var i=0;i<ores.length;i++){
			for(var x=-1;x<1;x++){
				for(var z=-1;z<1;z++){
					if(Level.getTile((cx+x)*16,1,(cz+z)*16)!=4)
						Generate(cx+x,cz+z,ores[i].id,ores[i].minY,ores[i].maxY,ores[i].rarity);
					}
				}
			}
		for(var x=-1;x<1;x++){
			for(var z=-1;z<1;z++){
				if(Level.getTile((cx+x)*16,1,(cz+z)*16)!=4)
					Level.setTile((cx+x)*16,1,(cz+z)*16,4);
				}
			}
		}
	}
function Generate(cx,cz,id,minY,maxY,rarity){
	for(var x=cx*16;x<(cx+1)*16-1;x++){
		for(var z=cz*16;z<(cz+1)*16-1;z++){
			for(var y=minY;y<maxY;y++){
				if(Math.floor(Math.random()*rarity*10)==9 && Level.getTile(x,y,z)==1)
					Level.setTile(x,y,z,id);
				if(Math.floor(Math.random()*rarity*10)==9 && Level.getTile(x+1,y,z)==1)
					Level.setTile(x+1,y,z,id);
				if(Math.floor(Math.random()*rarity*10)==9 && Level.getTile(x,y+1,z)==1)
					Level.setTile(x,y+1,z,id);
				if(Math.floor(Math.random()*rarity*10)==9 && Level.getTile(x,y,z+1)==1)
					Level.setTile(x,y,z+1,id);
				}
			}
		}
	}

ModPE.setItem(501,"diamond_horse_armor",0,"Ruby Ore");
Item.addFurnaceRecipe(180, 501, 1);

ModPE.langEdit("item.helmetDiamond.name","Ruby Helmet");
ModPE.langEdit("item.chestplateDiamond.name","Ruby Chestplate");
ModPE.langEdit("item.leggingsDiamond.name","Ruby Leggings");
ModPE.langEdit("item.bootsDiamond.name","Ruby Boots");

ModPE.setItem(502,"record_11",0,"Ruby Sword");

function attackHook(attacker, victim) {function hurt(health) {if(Entity.getHealth(victim) > health) Entity.setHealth(victim, Entity.getHealth(victim) - health);
else {
Entity.setHealth(victim, 1);
}
}
var x = Entity.getX(victim);
var y = Entity.getY(victim);
var z = Entity.getZ(victim);
if(attacker == Player.getEntity()) switch(Player.getCarriedItem()) {
case 502:
hurt(9);
break;
}
}

Item.addShapedRecipe(502,1,0,[
" 1 ",
" 1 ",
" 2 "],["1",501,0,"2",280,0]);

ModPE.setItem(503,"blaze_rod",0,"Blaze Rod");

function deathHook(murderer, victim)
{
if(Entity.getMobSkin(victim)=="mob/creeper.png")
{
Level.dropItem(Entity.getX(victim), Entity.getY(victim) + 1, Entity.getZ(victim), 0.5, 503, 1, 0);
}
}


ModPE.setItem(416,"record_chirp",0,"Candy Sword");

function attackHook(attacker, victim) {function hurt(health) {if(Entity.getHealth(victim) > health) Entity.setHealth(victim, Entity.getHealth(victim) - health);
else {
Entity.setHealth(victim, 1);
}
}
var x = Entity.getX(victim);
var y = Entity.getY(victim);
var z = Entity.getZ(victim);
if(attacker == Player.getEntity()) switch(Player.getCarriedItem()) {
case 416:
hurt(11);
break;
}
}

Item.addShapedRecipe(416,1,0,[
" 1 ",
" 1 ",
" 2 "],["1",414,0,"2",280,0]);

Block.defineBlock(33, "Azure Block", [["jukebox_side",0]]); 
Block.setLightLevel(33,3);
Block.setDestroyTime(33,2);

Block.defineBlock(23, "Uranium Block", [["nether_wart",0]]); 
Block.setLightLevel(23,3);
Block.setDestroyTime(23,2);