//mod by mcpemodmaker
Block.defineBlock(181, "Amethyst", [["dragon_egg",0]]); 
Block.setLightLevel(181,3);
Block.setDestroyTime(181,3);

function destroyBlock(x,y,z){

var blockId = Level.getTile(x,y,z);
if(blockId == 181){
preventDefault();
Level.destroyBlock (x,y,z, true);
}
}

var loaded=false;
var ores=[
	{id:181,minY:15,maxY:20,rarity:30}
	];
function leaveGame(){
	loaded=false;
	}
function modTick(){
	var cx=Math.round(Player.getX()/16);
	var cz=Math.round(Player.getZ()/16);
	if(!loaded && Level.getTile(parseInt(Player.getX()),parseInt(Player.getY())-2,parseInt(Player.getZ()))!=0)
		loaded=true;
	if(loaded){
		for(var i=0;i<ores.length;i++){
			for(var x=-1;x<1;x++){
				for(var z=-1;z<1;z++){
					if(Level.getTile((cx+x)*16,1,(cz+z)*16)!=4)
						Generate(cx+x,cz+z,ores[i].id,ores[i].minY,ores[i].maxY,ores[i].rarity);
					}
				}
			}
		for(var x=-1;x<1;x++){
			for(var z=-1;z<1;z++){
				if(Level.getTile((cx+x)*16,1,(cz+z)*16)!=4)
					Level.setTile((cx+x)*16,1,(cz+z)*16,4);
				}
			}
		}
	}
function Generate(cx,cz,id,minY,maxY,rarity){
	for(var x=cx*16;x<(cx+1)*16-1;x++){
		for(var z=cz*16;z<(cz+1)*16-1;z++){
			for(var y=minY;y<maxY;y++){
				if(Math.floor(Math.random()*rarity*10)==9 && Level.getTile(x,y,z)==1)
					Level.setTile(x,y,z,id);
				if(Math.floor(Math.random()*rarity*10)==9 && Level.getTile(x+1,y,z)==1)
					Level.setTile(x+1,y,z,id);
				if(Math.floor(Math.random()*rarity*10)==9 && Level.getTile(x,y+1,z)==1)
					Level.setTile(x,y+1,z,id);
				if(Math.floor(Math.random()*rarity*10)==9 && Level.getTile(x,y,z+1)==1)
					Level.setTile(x,y,z+1,id);
				}
			}
		}
	}


ModPE.setItem(504,"fireball",0,"Amethyst ore");
Item.addFurnaceRecipe(181, 504, 1);

ModPE.setItem(507,"record_blocks",0,"Amethyst Sword");

Item.addShapedRecipe(507,1,0,[
" 1 ",
"111",
" 2 "],["1",504,0,"2",280,0]);

function attackHook(attacker, victim) {function hurt(health) {if(Entity.getHealth(victim) > health) Entity.setHealth(victim, Entity.getHealth(victim) - health);
else {
Entity.setHealth(victim, 1);
}
}
var x = Entity.getX(victim);
var y = Entity.getY(victim);
var z = Entity.getZ(victim);
if(attacker == Player.getEntity()) switch(Player.getCarriedItem()) {
case 507:
hurt(10);
break;
}
}

